// MenuGidlet.java

import ch.aplu.gidlet.*;
import javax.microedition.lcdui.*;

public class MenuGidlet extends Gidlet
{
// ------------- Inner class MyCommandListener -------------
private class MyCommandListener implements CommandListener
{
  public void commandAction(Command c, Displayable d)
  {
    if (c == exitCommand)
    {
      wakeUp();
      isRunning = false;
      notifyDestroyed();
    }

    if (c == img1Command)
    {
      uri = "http://www.google.de/images/logo_sm.gif";
      wakeUp();
    }

    if (c == img2Command)
    {
      uri = "http://www.google.de/images/art.gif";
      wakeUp();
    }
  }
}

  private Command exitCommand = new Command("Exit", Command.EXIT, 1);
  private Command img1Command = new Command("Logo", Command.OK, 1);
  private Command img2Command = new Command("Balls", Command.OK, 1);
  private MForm f = new MForm("Image selection");
  private volatile String uri;
  private volatile boolean isRunning = true;

  public void main()
  {
    f.removeExitButton();
    f.addCommand(exitCommand);
    f.addCommand(img1Command);
    f.addCommand(img2Command);
    f.setCommandListener(new MyCommandListener());
    f.show();

    while (true)
    {
      putSleep();  // Wait eternally for menu notification
      if (!isRunning)
        return;  // Terminate main when Exit button is hit
      Image img = getImageHttp(uri, 10000);  // Block max. 10s
      f.deleteAll();
      if (img != null)
        f.append(img);
      else
        f.append("Could not load image");
    }
  }
}
