// MmsSendGidlet.java

import javax.wireless.messaging.*;
import javax.microedition.lcdui.*;
import ch.aplu.gidlet.*;

public class MmsSendGidlet extends Gidlet
{
  private MForm f = new MForm("OK to send image");
  private final String appId = "MmsGidlet";
//  private final String appId = null; // Send to default MMS receiver
  private Item it;
  private String phonenumber;

  public void main()
  {
    it = f.addInputField("To phone number?", "5550000", INT_VALIDATE);
    f.show();
    waitOk();
    phonenumber = f.getText(it);
    byte[] image = getResource("/res/raptor.png");
    if (image != null)
    {
      try
      {
        MessagePart imagePart =
          new MessagePart(image, "image/png", "id1", "location", null);
        MessagePart[] parts = {imagePart};
        sendMMS(phonenumber, appId, "A raptor is coming", parts);
        f.append("Trying to send MMS...");
      }
      catch (SizeExceededException ex)
      {
        f.append("MMS too big");
      }
    }
    else
      f.append("failed to load image");
  }

  public void notifyOutgoingMMS(int status)
  {
    if (status == 0)
      f.append("success");
    else
      f.append("failed");
  }
}

