// FileEnumerateGidlet.java

import ch.aplu.gidlet.*;

public class FileEnumerateGidlet extends Gidlet
{
  private final String rootPath = "root1/";
  private MConsole c = new MConsole();

  public void main()
  {
    MFile mf = new MFile(rootPath);
    if (!mf.exists())
    {
      c.println("Root\n" + rootPath +
                "\nnot found");
      return;
    }

    c.println("Enumerating files in\n" +
               rootPath + "...");
    boolean rc = mf.findFirst();
    if (rc)
    {
      c.println("first: " + mf.getPath());
      while (mf.findNext())
        c.println("next: " + mf.getPath());
    }

    mf.setPath(rootPath);
    c.println("Used: " +
               mf.getUsedSpace(true) + " bytes");
    c.println("Free: " +
               mf.getAvailableSpace() + " bytes");
  }
}





