// HttpImageGidlet.java

import javax.microedition.lcdui.*;
import ch.aplu.gidlet.*;

public class HttpImageGidlet extends Gidlet
{
  private MForm f;
  private String uri = "http://www.google.de/images/art.gif";
  private Item it;

  public void main()
  {
    f = new MForm();
    it = f.addInputField("Enter URI and press OK:", uri);
    f.show();
    while (true)
    {
      waitOk();
      uri = f.getText(it);
      HttpGetter hg = new HttpGetter(uri);
    }
  }

  public void notifyHttpResponse(byte[] data, int code)
  {
    int okStatusCode = 200;
    if (code != okStatusCode)
    {
      f.append("Cannot copy from " + uri);
      return;
    }

    Image image = Image.createImage(data, 0, data.length);
    ImageItem imageItem =
      new ImageItem("Image from " + uri,
                     image, Item.LAYOUT_CENTER,
                     "Image not displayable");
    f.append(imageItem);
  }
}
