// MmsAudioGidlet.java

import javax.wireless.messaging.*;
import javax.microedition.lcdui.*;
import ch.aplu.gidlet.*;

public class MmsAudioGidlet extends Gidlet
{
  private MForm f = new MForm("OK to send MMS");
  private final String appId = null; // Default MMS receiver
  private Item it;
  private String phonenumber;

  public void main()
  {
    it = f.addInputField("To phone number?", "5550000", INT_VALIDATE);
    f.show();
    waitOk();
    phonenumber = f.getText(it);

    String subject = "Bird whistle";
    String message = "Do you know this bird?";
    byte[] soundClip = getResource("/res/bird.wav");

    if (soundClip != null)
    {
      try
      {
        MessagePart textPart =
          new MessagePart(message.getBytes(), "text/plain", "id1", "location", "ISO-8859-1");
        MessagePart audioPart =
          new MessagePart(soundClip, "audio/wav", "id2", "location", null);
        MessagePart[] parts = {textPart, audioPart};
        sendMMS(phonenumber, appId, subject, parts, "id1");
        f.append("Trying to send MMS...");
      }
      catch (SizeExceededException ex)
      {
        f.append("MMS too big");
      }
    }
    else
      f.append("failed to load sound clip");
  }

  public void notifyOutgoingMMS(int status)
  {
    if (status == 0)
      f.append("success");
    else
      f.append("failed");
  }
}

