// SierpiGidlet.java

import ch.aplu.gidlet.*;

public class SierpiGidlet extends Gidlet
{
  private Turtle t = new Turtle(false);

  public void main()
  {
    final int n = 4;
    final int s = 400;
    t.setPos(-200, -190);
    t.rt(90);
    sierpi(n, s);
  }

  private void sierpi(int n, int s)
  {
    if (n == 0 || isExiting())
    {
      triangle(s);
      return;
    }
    else
    {
      sierpi(n - 1, s / 2);
      t.fd(s / 2);
      sierpi(n - 1, s / 2);
      t.lt(120);
      t.fd(s / 2);
      t.rt(120);
      sierpi(n - 1, s / 2);
      t.lt(60);
      t.bk(s / 2);
      t.rt(60);
    }
  }

  private void triangle(int s)
  {
    t.fillToPoint(t.getX() + 10, t.getY() + 10);
    for (int i = 0; i < 3; i++)
    {
      t.fd(s);
      t.lt(120);
    }
    t.fillOff();
  }
}

