// SmsSendGidlet.java
// A fixed recipients phone number is used

import ch.aplu.gidlet.*;

public class SmsSendGidlet extends Gidlet
{
  private final String phonenumber = "5550000";
  private final int portnumber = 5000;

  private final String init =
    "Dear Peter, ";

  public void main()
  {
    MTextBox tb = new MTextBox("Enter text, press OK");
    tb.setText(init);
    tb.show();
    waitOk();

    String msg = tb.getText();
    showTimedMessage("Trying to send SMS...", 0);

    int rc = sendSMS(phonenumber, portnumber, msg);

    switch (rc)
    {
      case 0:
        showMessage("SMS successfully sent.", false);
        break;
      case 1:
        showMessage("Failed to send SMS.", false);
        break;
      case 2:
        String text =
          "Failed to send SMS.\n" +
          "It seems that the phone number\n" +
           phonenumber + "\ndoes not accept SMS";
        showMessage(text, false);
        break;
    }
    notifyDestroyed();
  }
}