// SplitGidlet.java

import ch.aplu.gidlet.*;
import java.util.*;

public class SplitGidlet extends Gidlet
{
  private MConsole c = new MConsole();

  public void main()
  {
    String input = "Baum|tree\r\nAuto|car\r\nBlume|flower";

    String[] output = split(input, "\r\n");
    int size = output.length;

    c.println("size :" + size);
    c.println("last :" + output[size-1]);
    c.println("lastlength :" + output[size-1].length());

    c.println("Lines:");
    for (int i = 0; i < size; i++)
      c.println(output[i]);

    String[] deutsch = new String[size];
    String[] english = new String[size];

    for (int i = 0; i < size; i++)
    {
      String[] parts = split(output[i], "|");
      deutsch[i] = parts[0];
      english[i] = parts[1];
    }

    c.println("Deutsch:");
    for (int i = 0; i < size; i++)
      c.println(deutsch[i]);

    c.println("English:");
    for (int i = 0; i < size; i++)
      c.println(english[i]);
  }
}
